Package org.drinkless.tdlib

# Class TdApi.CallProtocol

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.CallProtocol

Enclosing class:
  `TdApi`

public static class TdApi.CallProtocol extends TdApi.Object
Specifies the supported call protocols.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `String[]`
  `libraryVersions`
  List of supported tgcalls versions.
  `int`
  `maxLayer`
  The maximum supported API layer; use 92.
  `int`
  `minLayer`
  The minimum supported API layer; use 65.
  `boolean`
  `udpP2p`
  True, if UDP peer-to-peer connections are supported.
  `boolean`
  `udpReflector`
  True, if connection through UDP reflectors is supported.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CallProtocol()`
  Specifies the supported call protocols.
  `CallProtocol(boolean udpP2p, boolean udpReflector, int minLayer, int maxLayer, String[] libraryVersions)`
  Specifies the supported call protocols.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### udpP2p

    public boolean udpP2p
    True, if UDP peer-to-peer connections are supported.

  - ### udpReflector

    public boolean udpReflector
    True, if connection through UDP reflectors is supported.

  - ### minLayer

    public int minLayer
    The minimum supported API layer; use 65.

  - ### maxLayer

    public int maxLayer
    The maximum supported API layer; use 92.

  - ### libraryVersions

    public String[] libraryVersions
    List of supported tgcalls versions.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### CallProtocol

    public CallProtocol()
    Specifies the supported call protocols.

  - ### CallProtocol

    public CallProtocol(boolean udpP2p, boolean udpReflector, int minLayer, int maxLayer, String[] libraryVersions)
    Specifies the supported call protocols.
    Parameters:
      `udpP2p` - True, if UDP peer-to-peer connections are supported.
      `udpReflector` - True, if connection through UDP reflectors is supported.
      `minLayer` - The minimum supported API layer; use 65.
      `maxLayer` - The maximum supported API layer; use 92.
      `libraryVersions` - List of supported tgcalls versions.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Object`
    Returns:
      this.CONSTRUCTOR